Debian Bug report logs - #526586
mkfs.ufs: could not find special device

version graph

Package: ufsutils; Maintainer for ufsutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for ufsutils is src:ufsutils.

Reported by: Christian Kujau <lists@nerdbynature.de>

Date: Sat, 2 May 2009 00:15:13 UTC

Severity: important

Found in version ufsutils/7.1-2

Fixed in version ufsutils/7.2-1

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#526586; Package ufsutils. (Sat, 02 May 2009 00:15:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Kujau <lists@nerdbynature.de>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 02 May 2009 00:15:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Kujau <lists@nerdbynature.de>
To: submit@bugs.debian.org
Subject: mkfs.ufs: could not find special device
Date: Fri, 1 May 2009 17:10:44 -0700 (PDT)
[Message part 1 (text/plain, inline)]
Package: ufsutils
Version: 7.1-2
Severity: important
Tags: patch


Currently mkfs.ufs is not working in a Linux environment and is just
returning an error message when used:

> # mkfs.ufs /dev/md0
> mkfs.ufs: /dev/md0: could not find special device

This has been outlined in great detail by Dmitriy Kryuk before[0]. Attached
to his report is a diff to libufs/type.c; a dpatch will be attached to this
report later on. After applying the patch, I was able to successfully create,
mount and read/write from/to the newly created filesystem.


Thanks,
Christian.

[0] http://www.mail-archive.com/debian-bsd@lists.debian.org/msg04275.html

# mkfs.ufs /dev/md0
/dev/md0: 3812.1MB (7807104 sectors) block size 16384, fragment size 2048
        using 21 cylinder groups of 183.72MB, 11758 blks, 23552 inodes.
super-block backups (for fsck -b #) at:
 160, 376416, 752672, 1128928, 1505184, 1881440, 2257696, 2633952, 3010208,
 3386464, 3762720, 4138976, 4515232, 4891488, 5267744, 5644000, 6020256, 
 6396512, 6772768, 7149024, 7525280
# mount -t ufs -o ufstype=ufs2 /dev/md0 /mnt/md0   
# grep md0 /proc/mounts 
/dev/md0 /mnt/md0 ufs rw,relatime,ufstype=ufs2,onerror=lock 0 0


-- System Information:
Debian Release: squeeze/sid
  APT prefers experimental
  APT policy: (900, 'experimental'), (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-rc4
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)
Shell: /bin/sh linked to /bin/dash

Versions of packages ufsutils depends on:
ii  libbsd0                  0.0.1-2         utility functions from BSD systems
ii  libc6                    2.9-9           GNU C Library: Shared libraries
ii  libedit2                 2.11~20080614-1 BSD editline and history libraries
ii  libncurses5              5.7+20090411-1  shared libraries for terminal hand
ii  libufs2                  7.1-2           UFS filesystem shared library

ufsutils recommends no packages.

ufsutils suggests no packages.

-- no debconf information
[01_libufs.patch (text/x-diff, attachment)]

Tags removed: patch Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sat, 02 May 2009 07:45:04 GMT) Full text and rfc822 format available.

Information stored :
Bug#526586; Package ufsutils. (Sat, 02 May 2009 07:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Sat, 02 May 2009 07:45:06 GMT) Full text and rfc822 format available.

Message #12 received at 526586-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Christian Kujau <lists@nerdbynature.de>, 526586-quiet@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#526586: mkfs.ufs: could not find special device
Date: Sat, 2 May 2009 10:07:43 +0200 (CEST)
tags 526586 -patch
thanks

> Currently mkfs.ufs is not working in a Linux environment and is just
> returning an error message when used:
>
>> # mkfs.ufs /dev/md0
>> mkfs.ufs: /dev/md0: could not find special device
>
> This has been outlined in great detail by Dmitriy Kryuk before[0]. Attached
> to his report is a diff to libufs/type.c; a dpatch will be attached to this
> report later on. After applying the patch, I was able to successfully create,
> mount and read/write from/to the newly created filesystem.

Hi,

the proposed patch breaks GNU/kFreeBSD,
the primary user of ufs filesystem.

Petr




Information stored :
Bug#526586; Package ufsutils. (Sat, 02 May 2009 08:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Kujau <lists@nerdbynature.de>:
Extra info received and filed, but not forwarded. (Sat, 02 May 2009 08:36:06 GMT) Full text and rfc822 format available.

Message #17 received at 526586-quiet@bugs.debian.org (full text, mbox):

From: Christian Kujau <lists@nerdbynature.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 526586-quiet@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#526586: mkfs.ufs: could not find special device
Date: Sat, 2 May 2009 01:33:46 -0700 (PDT)
On Sat, 2 May 2009, Petr Salinger wrote:
> the proposed patch breaks GNU/kFreeBSD,
> the primary user of ufs filesystem.

That may be - the patch was not intended for anything else than Debian 
GNU/Linux and has only be tested on amd64. Therefore the patch is only 
meant to be applied when building for Debian GNU/Linux, but I don't know 
how to put that logic into the debian/rules script.

Christian.
-- 
Bruce Schneier can inverse any matrix just by staring at it, even singular ones.




Tags added: pending Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 05 May 2009 09:09:08 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Thu, 21 May 2009 19:15:08 GMT) Full text and rfc822 format available.

Notification sent to Christian Kujau <lists@nerdbynature.de>:
Bug acknowledged by developer. (Thu, 21 May 2009 19:15:08 GMT) Full text and rfc822 format available.

Message #24 received at 526586-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 526586-close@bugs.debian.org
Subject: Bug#526586: fixed in ufsutils 7.2-1
Date: Thu, 21 May 2009 18:47:21 +0000
Source: ufsutils
Source-Version: 7.2-1

We believe that the bug you reported is fixed in the latest version of
ufsutils, which is due to be installed in the Debian FTP archive:

libufs2_7.2-1_amd64.deb
  to pool/main/u/ufsutils/libufs2_7.2-1_amd64.deb
ufsutils_7.2-1.diff.gz
  to pool/main/u/ufsutils/ufsutils_7.2-1.diff.gz
ufsutils_7.2-1.dsc
  to pool/main/u/ufsutils/ufsutils_7.2-1.dsc
ufsutils_7.2-1_amd64.deb
  to pool/main/u/ufsutils/ufsutils_7.2-1_amd64.deb
ufsutils_7.2.orig.tar.gz
  to pool/main/u/ufsutils/ufsutils_7.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 526586@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated ufsutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 21 May 2009 20:25:46 +0200
Source: ufsutils
Binary: ufsutils libufs2
Architecture: source amd64
Version: 7.2-1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 libufs2    - UFS filesystem shared library
 ufsutils   - UFS filesystems utilities
Closes: 526586
Changes: 
 ufsutils (7.2-1) unstable; urgency=low
 .
   [ Guillem Jover ]
   * Use $(filter ...) instead of $(findstring ...) to extract space separated
     options from DEB_BUILD_OPTIONS in debian/rules.
   * Remove commented out lines in debian/rules.
   * Do not set unused INSTALL_PROGRAM.
   * Line wrap Build-Depends fields for lines longer than 80 chars.
   * Use asterisks for bulleted lists in package description.
   * Remove DPATCHLEVEL variable from patches.
   * Switch to debhelper compatibility level 7.
   * Use dh_prep instead of "dh_clean -k".
   * Do not use stamp files for build.
   * Include quilt.make snippet instead of using ad-hoc code.
   * Remove unused ufsutils variable and rename libufs to lib in debian/rules.
 .
   [ Petr Salinger ]
   * New upstream version (RELENG_7_2_0_RELEASE)
   * Allow mkfs.ufs not only on character devices (GNU/kFreeBSD), but also
     on block devices (Linux) and plain files (i.e. loopback). (Closes: #526586)
 .
   [ Aurelien Jarno ]
   * Bump Standard-Versions to 3.8.1 (no changes).
Checksums-Sha1: 
 e5113e11cd4f49fec6cc52d3f7aea193b81d8d0e 1261 ufsutils_7.2-1.dsc
 184ac45f682841def824402a428ccc2dd054dde2 466506 ufsutils_7.2.orig.tar.gz
 4807e7fb1438a8041de11b97500a7e843e6e982e 17920 ufsutils_7.2-1.diff.gz
 22369174efe4380bc9de761a3efd77a8de2df12f 132858 ufsutils_7.2-1_amd64.deb
 02a199636b7222f7d6a138170394b66370c128b0 9198 libufs2_7.2-1_amd64.deb
Checksums-Sha256: 
 79cee3e3d2aa3fe3bafd196424c4cf97939e3043befe1d0e45c0db9db0fc9a42 1261 ufsutils_7.2-1.dsc
 9a3cbec48a0aca611f8dc32a76d888f2e4fde041828ee19ccde21a1d285edbf4 466506 ufsutils_7.2.orig.tar.gz
 40c1fb6ab25178d42208f1584ae24399e1150d90b90f5efba8ef78715c363a47 17920 ufsutils_7.2-1.diff.gz
 aadcf76462bcbb372f6c33e30cd0eb7a9b4b17e9fbf321bc60ecbdc12867b10c 132858 ufsutils_7.2-1_amd64.deb
 189c40c391cf18f8c66fe609040ca6fd74ee356c08a5ab422462be843498e96a 9198 libufs2_7.2-1_amd64.deb
Files: 
 a8cac26815842cf57b509b53076fb934 1261 utils optional ufsutils_7.2-1.dsc
 b81156946c0fb680f2d1175607079ca9 466506 utils optional ufsutils_7.2.orig.tar.gz
 c816261b8e3f52e3926269130b03d8b0 17920 utils optional ufsutils_7.2-1.diff.gz
 518fc6e0989de08e533258628a268f21 132858 utils optional ufsutils_7.2-1_amd64.deb
 a0cbf5f0ec01d7a63cffd181f865532a 9198 libs optional libufs2_7.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKFZ0kw3ao2vG823MRAtW1AJwLgyA+yI7w9YT0/ikEy6ICLAQkigCfahoQ
+NjEyMlo7OJxEn4Qcxe0PYA=
=aeCl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 29 Jun 2009 07:32:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:09:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.